Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.internal.document
Class BsonReader

    java.lang.Object
      org.infinispan.schematic.internal.document.BsonReader

    @ThreadSafe
    public class BsonReader

extends Object

A component that reads BSON representations and constructs the in-memory `Document` representation.

Author:
  Randall Hauch (C) 2011 Red Hat Inc.

Nested Class Summary
`protected static class` | `BsonReader.Reader`

Field Summary
`protected static DocumentValueFactory` | `VALUE_FACTORY`

Constructor Summary
`BsonReader()`

Method Summary
`Document` | `read(DataInput input)` Read the binary BSON representation from supplied input stream and construct the `Document` representation.
`Document` | `read(InputStream stream)` Read the binary BSON representation from supplied input stream and construct the `Document` representation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_FACTORY

    protected static final DocumentValueFactory VALUE_FACTORY

Constructor Detail

### BsonReader

    public BsonReader()

Method Detail

### read

    public Document read(InputStream stream)
                  throws IOException

  Read the binary BSON representation from supplied input stream and construct the `Document` representation.

  Parameters:
    `stream` - the input stream; may not be null
  Returns:
    the in-memory `Document` representation
  Throws:
    `IOException` - if there was a problem reading from the stream

### read

    public Document read(DataInput input)
                  throws IOException

  Read the binary BSON representation from supplied input stream and construct the `Document` representation.

  Parameters:
    `input` - the input stream; may not be null
  Returns:
    the in-memory `Document` representation
  Throws:
    `IOException` - if there was a problem reading from the stream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.